Actual365Fixed Class Reference
Date and time calculations » Day counters

Actual/365 (Fixed) day count convention. More...

`#include <ql/time/daycounters/actual365fixed.hpp>`

Inheritance diagram for Actual365Fixed:
[legend]

## Public Types

enum | Convention { Standard, Canadian, NoLeap }

## Public Member Functions

| Actual365Fixed (Convention c=Actual365Fixed::Standard)
Public Member Functions inherited from DayCounter
| DayCounter ()
bool | empty () const
| Returns whether or not the day counter is initialized.
std::string | name () const
| Returns the name of the day counter. More...
Date::serial_type | dayCount (const Date &, const Date &) const
| Returns the number of days between two dates.
Time | yearFraction (const Date &, const Date &, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date()) const
| Returns the period between two dates as a fraction of year.

## Additional Inherited Members

Protected Member Functions inherited from DayCounter
| DayCounter (const boost::shared_ptr< Impl > &impl)
Protected Attributes inherited from DayCounter
boost::shared_ptr< Impl > | impl_
Related Functions inherited from DayCounter
bool | operator== (const DayCounter &, const DayCounter &)
bool | operator!= (const DayCounter &, const DayCounter &)
std::ostream & | operator<< (std::ostream &, const DayCounter &)

## Detailed Description

Actual/365 (Fixed) day count convention.

"Actual/365 (Fixed)" day count convention, also know as "Act/365 (Fixed)", "A/365 (Fixed)", or "A/365F".

Warning:
  According to ISDA, "Actual/365" (without "Fixed") is an alias for "Actual/Actual (ISDA)" (see ActualActual.) If Actual/365 is not explicitly specified as fixed in an instrument specification, you might want to double-check its meaning.

Examples:
  BermudanSwaption.cpp, Bonds.cpp, CDS.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, and Replication.cpp.